package isrp.hibernate.model.dao.factory;

import isrp.hibernate.model.dao.*;

public abstract class DaoFactory {
	private static DaoFactory instance = new HibernateDaoFactory();

	public static DaoFactory getInstance() {
		return instance;
	}

	public abstract UserDao getUserDao();

	public abstract CountryDao getCountryDao();

	public abstract PaperDao getPaperDao();

	public abstract QuestionDao getQuestionDao();

	public abstract ReviewDao getReviewDao();

	public abstract AnswersquestionsDao getAnswersquestionsDao();
}
